      SUBROUTINE show_graph(y,t,nshow)
      IMPLICIT NONE
      REAL*8 y, t
      REAL tmax, tmin, ymax, ymin
      INTEGER IR_, nshow
      IF(t .EQ. 0) THEN
         nshow = 10
         tmin = t
         tmax = 2                           ! estimate of time to reach surface
         ymin = 0
         ymax = y
         CALL draw_axes(tmin,tmax,ymin,ymax)    ! see Appendix 3A
      END IF
      CALL GWline2(IR_, REAL(t), REAL(y))
      END
